import groovyx.gpars.GParsPool

description = 'Copy all System and Org-related tables'

//System & Org-related Tables
//=============
copyTableColumns('ORGS', ['AUDIT_RETN'], [HOSTNAME_PREFIX: 'ORG_ID'])
copyTableColumns('SCENS', ['BYPASS_OUTBOUND_AUTH'])

if(!excludeNodeEngineTables) {
    copyTableColumns('NODES', null, [DEPLOYMENT_STATUS: 'NOT_DEPLOYED', VER: 'Migrating from 4.1 to 5.0'])
}
List<String> tables = SYSTEM_TABLES

if(excludeNodeEngineTables) {
    tables = tables - NODE_AND_ENGINE_TABLES;
}
GParsPool.withPool(POOL_SIZE) {
    tables.eachParallel { tableName ->
        copyTableColumns(tableName)
    }
}

if (excludeNodeEngineTables) {
    tables = tables + ['ORGS', 'SCENS']
} else {
    tables = tables + ['ORGS', 'SCENS', 'NODES']
}

Map verifyResults = verifyCopy(tables)
if(verifyResults){
    throw new IllegalStateException("Verification failed: $verifyResults")
}

/**
 * The 'HUB' node component is not supported in 5.0
 */
runSqlOnTarget("delete from node_components where type = 'HUB';")


return this.timingResults
