import groovyx.gpars.GParsPool

description = 'Copy Recipient tables'

//Recipient Tables
//================
List<String> tables = RECIPIENT_TABLES

GParsPool.withPool(POOL_SIZE) {
    tables.eachParallel { tableName ->
        copyTableColumns(tableName)
    }
}
Map verifyResults = verifyCopy(tables)
if(verifyResults){
    throw new IllegalStateException("Verification failed: $verifyResults")
}

// Update permissions - create the default permissions for 5.1 in the tenant companies and then add any custom functions
// and roles from the source system. Finally assign permissions to users in the migrated system.
updateRolesFunctionsPermissions();

// The IN_ROTATION flag has been changed from '1'/'0' values in 4.x to 'Y'/'N' values in 5.x to denote true or false.
// Run the following 2 SQLs below to account for this
runSqlOnTarget("update tm_rotation set in_rotation = 'Y' where in_rotation = '1';")
runSqlOnTarget("update tm_rotation set in_rotation = 'N' where in_rotation = '0';")

return this.timingResults