import groovyx.gpars.GParsPool

//REV Tables that are not visible in reports
//================
description = 'Copy REV tables that are not used for reporting'
copyTableColumns('ORGS_REV', ['AUDIT_RETN'])
copyTableColumns('SCENS_REV', ['BYPASS_OUTBOUND_AUTH'])

List<String> tables = REV_NOT_REPORTING_TABLES
if(excludeNodeEngineTables) {
    tables = tables - NODE_AND_ENGINE_REVISION_TABLES;
}

GParsPool.withPool(POOL_SIZE) {
    tables.eachParallel { tableName ->
        copyTableColumns(tableName)
    }
}

Map verifyResults = verifyCopy(tables + ['ORGS_REV', 'SCENS_REV'], true)
if(verifyResults){
    throw new IllegalStateException("Verification failed: $verifyResults")
}
return this.timingResults